omp_loop_static.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_parallel

## Functions

template<typename _RAIter , typename _Op , typename _Fu , typename _Red , typename _Result >
_Op | __gnu_parallel::__for_each_template_random_access_omp_loop_static (_RAIter __begin, _RAIter __end, _Op __o, _Fu &__f, _Red __r, _Result __base, _Result &__output, typename std::iterator_traits< _RAIter >::difference_type __bound)

## Detailed Description

Parallelization of embarrassingly parallel execution by means of an OpenMP for loop with static scheduling. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file omp_loop_static.h.